GET
List Trades
Lists trades from the trading account. This will include trades that have not yet settled.
Requires access token scope: trade_view
Path Params
-
accountIdstring requiredThe ID of the account
Query Params
-
offsetinteger -
limitinteger -
orderIdstring uuidThe orderId of the trades to retrieve -
dateGtestring date-timeReturn trades with a trade date that is greater than or equal to the given timestamp -
dateLtstring date-timeReturn trades with a trade date that is less than the given timestamp -
creationDateGtestring date-timeReturn trades with a creation date that is greater than or equal to the given timestamp -
creationDateLtstring date-timeReturn trades with a creation date that is less than the given timestamp -
isSettledbooleanReturn trades based on settlement status. true for settled trades, false for unsettled trades. -
fundingTypestring enumFilter by funding type. 'funded' for available balance, 'margin' for margin balance.marginfunded
Responses
200
An array of trades
Response Body
object
-
dataarray of objects requireddata object
-
idstring uuid required -
orderIdstring uuid required -
timestring date-time requiredThe date when the trade occurred -
creationDatestring date-time requiredThe date when the trade was created in our system -
productstring requiredProduct name e.g. BTC-USD -
sidestring enum requiredThe side of the orderbuysell -
pricestring decimal requiredFilled price, e.g. For BTC-USD product, 90000.00 USD -
quoteQuantitystring decimal requiredFilled quote quantity, e.g. For BTC-USD product, 100.50 USD -
quantitystring decimal requiredFilled base quantity, e.g. For BTC-USD product, 0.0045 BTC -
fundingTypestring enum requiredThe funding type of the order.
- Funded orders will be placed using the Go account balance.
- Margin orders will be placed using the margin account balances. See our Trade Guide for more details on each funding type.
marginfunded -
settledboolean required -
settleDatestring date-time nullableThe date when the trade was settled. Null if not yet settled. -
accountIdstring requiredThe ID of the account -
enterpriseIdstring requiredThe BitGo enterprise ID associated with this trade
-
400
Bad request - Invalid query parameters
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-